# sendTransactionMessage

### sendTransactionMessage RPC Method <a href="#send-transaction-rpc-method" id="send-transaction-rpc-method"></a>

<mark style="color:green;">`POST`</mark> <https://sol-rpc.kolibr.io/>\
Submit a Solana transaction **message** (unsigned) to the block engine. Unlike `sendTransaction`, this method accepts a `solana.Transaction.Message` rather than a full signed transaction, and does **not** broadcast the transaction on-chain.<br>

**Additional URL Query Parameters**

<table><thead><tr><th width="236">Name</th><th>Description</th></tr></thead><tbody><tr><td><strong><code>rev_recv</code> (required)</strong></td><td>The address that will receive arbitrage payments in SOL.</td></tr></tbody></table>

**Body Parameters**

<table><thead><tr><th width="236">Name</th><th>Description</th></tr></thead><tbody><tr><td>params[0] <strong>(required)</strong></td><td>encoded message. A string containing the Solana transaction message serialized and encoded in base64 or base58.</td></tr><tr><td>params[1].encoding <strong>(optional)</strong></td><td>If omitted, the server tries base64 first, then base58.</td></tr><tr><td>params[1].expectedSubmitDelay <strong>(optional)</strong></td><td>Expected delay in milliseconds before the transaction is submitted on-chain by the block engine.</td></tr></tbody></table>

**Headers**

<table><thead><tr><th width="237">Name</th><th>Description</th></tr></thead><tbody><tr><td><code>Authorization</code> (optional)</td><td><p>An optional parameter, represented by a GUID string. While not required for basic operations, it is necessary for accessing premium features like the <code>subsidy</code> mode and enables higher rate limits.</p><p>To obtain an <code>Authorization</code> GUID, users must sign up in app.kolibrio.xyz</p></td></tr></tbody></table>

**Request Example**

{% tabs %}
{% tab title="curl" %}

```json
curl https://sol-rpc.kolibr.io/?rev_recv=DVz9Ryo4vUpizkpFoaUGGU4y5guc2bcBFSFAJvjQVmz5 \
  -X POST \
  -H "Content-Type: application/json" \
  -H "Authorization: 123e4567-e89b-12d3-a456-426614174000" \
  -d '
  {
  "jsonrpc": "2.0",
  "id": 1,
  "method": "sendTransactionMessage",
  "params": [
    "<encoded message>",
    {
      "encoding": "base58",
      "expectedSubmitDelay": 200
    }
  ]
}
'
```

{% endtab %}
{% endtabs %}

**Response Example**

{% tabs %}
{% tab title="200" %}

```json
### Success
{
  "jsonrpc": "2.0",
  "id": 1,
  "result": "ok"
}

### Error
{
  "jsonrpc": "2.0",
  "id": 1,
  "error": {
    "code": -32002,
    "message": "<error description>"
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.kolibrio.xyz/kolibrio-orderflow-service/solana/api-quick-start/sendtransactionmessage.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
